﻿Imports OrderManagement.DataMirroring.Models

Namespace OrderManagement.DataMirroring.DataPersistence
  Public Class SimpleRepo
	  Implements IDisposable
	Public Sub Dispose() Implements IDisposable.Dispose
	End Sub

	Public Sub InsertCustomer(ByVal customer As Customer)
	  Using context = New CustomersContext
		context.Customers.Add(customer)
		context.SaveChanges()
	  End Using

	End Sub

	Public Sub UpdateCustomer(ByVal customer As Customer)
	  Using context = New CustomersContext
		context.Database.ExecuteSqlCommand("exec ReplaceCustomer {0}, {1}", customer.CustomerId, customer.ClientName)
	  End Using
	End Sub
  End Class

End Namespace